# -*- encoding: utf-8 -*-
# stub: soaspec 0.3.11 ruby lib

Gem::Specification.new do |s|
  s.name = "soaspec".freeze
  s.version = "0.3.11"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["SamuelGarrattIQA".freeze]
  s.bindir = "exe".freeze
  s.date = "2020-04-20"
  s.description = "Helps to create tests for 'SOAP' or 'REST' apis. Easily represent multiple requests with\nthe same configuration. Examples designed for RSpec and Cucumber.".freeze
  s.email = ["samuel.garratt@integrationqa.com".freeze]
  s.executables = ["soaspec".freeze, "xml_to_yaml_file".freeze]
  s.files = ["exe/soaspec".freeze, "exe/xml_to_yaml_file".freeze]
  s.homepage = "https://gitlab.com/samuel-garratt/soaspec".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.3.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Helps to create tests for 'SOAP' or 'REST' apis".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<cucumber>.freeze, [">= 0"])
    s.add_development_dependency(%q<data_magic>.freeze, [">= 0"])
    s.add_development_dependency(%q<factory_bot>.freeze, [">= 0"])
    s.add_development_dependency(%q<parallel_tests>.freeze, [">= 0"])
    s.add_development_dependency(%q<rack>.freeze, [">= 0"])
    s.add_development_dependency(%q<rack-test>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard-cucumber>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard-doctest>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<activesupport>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<colorize>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<faker>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<hashie>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<jsonpath>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<launchy>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<pry>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<random-port>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<require_all>.freeze, [">= 1.5.0"])
    s.add_runtime_dependency(%q<rest-client>.freeze, [">= 2.0"])
    s.add_runtime_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<rspec-its>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<savon>.freeze, [">= 2"])
    s.add_runtime_dependency(%q<sinatra>.freeze, ["= 2.0.4"])
    s.add_runtime_dependency(%q<sinatra-basic-auth>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<sinatra-docdsl>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<thor>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<xml-simple>.freeze, [">= 1.1.5"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<cucumber>.freeze, [">= 0"])
    s.add_dependency(%q<data_magic>.freeze, [">= 0"])
    s.add_dependency(%q<factory_bot>.freeze, [">= 0"])
    s.add_dependency(%q<parallel_tests>.freeze, [">= 0"])
    s.add_dependency(%q<rack>.freeze, [">= 0"])
    s.add_dependency(%q<rack-test>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<yard-cucumber>.freeze, [">= 0"])
    s.add_dependency(%q<yard-doctest>.freeze, [">= 0"])
    s.add_dependency(%q<activesupport>.freeze, [">= 0"])
    s.add_dependency(%q<colorize>.freeze, [">= 0"])
    s.add_dependency(%q<faker>.freeze, [">= 0"])
    s.add_dependency(%q<hashie>.freeze, [">= 0"])
    s.add_dependency(%q<jsonpath>.freeze, [">= 0"])
    s.add_dependency(%q<launchy>.freeze, [">= 0"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 0"])
    s.add_dependency(%q<pry>.freeze, [">= 0"])
    s.add_dependency(%q<random-port>.freeze, [">= 0"])
    s.add_dependency(%q<require_all>.freeze, [">= 1.5.0"])
    s.add_dependency(%q<rest-client>.freeze, [">= 2.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rspec-its>.freeze, [">= 0"])
    s.add_dependency(%q<savon>.freeze, [">= 2"])
    s.add_dependency(%q<sinatra>.freeze, ["= 2.0.4"])
    s.add_dependency(%q<sinatra-basic-auth>.freeze, [">= 0"])
    s.add_dependency(%q<sinatra-docdsl>.freeze, [">= 0"])
    s.add_dependency(%q<thor>.freeze, [">= 0"])
    s.add_dependency(%q<xml-simple>.freeze, [">= 1.1.5"])
  end
end
